import UIKit

/// introduction view controller
class IntroViewController: UIViewController {
    
    /// initialization function
    init() {
        super.init(nibName: nil, bundle: nil)
        let view = IntroView()
        view.delegate = self
        self.view = view
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}

extension IntroViewController: IntroViewDelegate {
    
    /// delegate function that gets called when user taps sign in button
    func touchSignIn() {
        navigationController?.pushViewController(SignInViewController(), animated: true)
    }
}

